Bug 78961 - Database Connection to XLSX file hangs after XLSX file is modified in Calc
Summary: Database Connection to XLSX file hangs after XLSX file is modified in Calc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2014-05-20 12:06 UTC by Chris Barnes
Modified: 2019-12-28 16:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
XLSX File which causes base to hang when set as a data source in Windows 7 64 Bit. (5.10 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-05-22 18:56 UTC, Chris Barnes
Details
Backtrace of crash when creating labels (9.05 KB, text/plain)
2014-11-15 10:46 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Barnes 2014-05-20 12:06:44 UTC
Sorry for the length of this report.
The bug is at the bottom.....

We're failing to make mailing labels on Windows:

Add XLSX Data Source To LibreOffice
-----------------------------------

From the LibreOffice menu, select File -> Wizards -> Address Data Source.
1) Select "Other external data source" for the Address book type.
2) Click on the "Settings" button for "Connection Settings".
Select Database type: "Spreadsheet" then click "Next".
Browse to your XLSX File
Click "Finish"
Click "Next" on the "Field Assignment" Section
Make a note of the Data Source title

Create Mailing Labels
---------------------

File -> New -> Labels
Select the data source from the "Database" dropdown.
Select "Sheet1" from the "Table" dropdown.
Select a database field
Press the "Left Arrow" to add.
Select the label type from Brand and Type dropdowns.
Create merge template document
Make formatting changes to your merge template document.

Suppressing blank mail merge lines in the merge template document
-----------------------------------------------------------------

Perform the following action in one of the cells, then copy and paste to the rest.

Ensure you are entering paragraphs instead of line breaks. Click view, nonprinting characters to check. 
Hover over field until name appears, e.g. mailmergedata.Sheet1.Address2, and note the name. If the name has spaces do this [file with spaces.Sheet1.Adddress 2]
Place the cursor to the left of the field. 
Click Insert, Fields, Other
Click the Functions tab
Select Hidden Paragraph
In the Condition box, enter: NOT [field name from step 2], e.g. NOT [mailmergedata.Sheet1.Address 2]
Click Insert (this might not cause any visible change)
Click Close
Click the View menu and make sure Hidden Paragraphs is unchecked
Create Mail Merge Template Document.

Printing the resultant Mail Merge Template Document to file or printer
----------------------------------------------------------------------

File -> Print
Answer "Yes" to "Your document contains address database fields. Do you want to print a form letter ?"
You will then be given the option to print to file or printer.

Cause LibreOffice to hang
-------------------------

Close all windows.
Make a tiny change to the original XLSX file from Calc and save.
Open mail merge template document.
Go to print form letters or Look at the data sources.
LibreOffice hangs indefinitely attempting to open the data source,

Please note that all files were saved on the local hard disk, not on any network shares.
Comment 1 Chris Barnes 2014-05-20 12:21:10 UTC
So we had to go back to MS Office. :-(
Makes me want to cry with frustration.
Works perfectly on Linux.
Comment 2 retired 2014-05-22 14:01:39 UTC
Can you attach a test case file to reproduce this issue?
Comment 3 Chris Barnes 2014-05-22 18:56:54 UTC
Created attachment 99596 [details]
XLSX File which causes base to hang when set as a data source in Windows 7 64 Bit.

Please note that the enclosed XLSX file was created in LibreOffice Calc on the same machine to begin with.
In this case, the data source hung on first use.

The original XLSX file was created externally. The issue only began after a change was made to it in LibreOffice, and the change saved. THEN it would hang.
Perhaps something in the way Calc saved the file has caused the issue ?

Please also note that after trying the enclosed file:

I Deleted all the data sources via 

Tools -> Options -> LibreOffice Database -> Databases

I Saved the data as CSV and created a new data source.
It all worked perfectly, the CSV could be changed etc etc.

BTW: The domain user does NOT have local admin rights.
Comment 4 Alex Thurgood 2014-10-21 13:01:34 UTC
Can not reproduce on OSX 10.10

Version: 4.4.0.0.alpha0+
Build ID: d807cba9ee60cb1404b54addf9cd3e54de89f331

I can change, Pinkers to Pankers, for example, close xlsx after saving, then open ott merge template, press F4 and see corrected entry in data grid
Comment 5 Alex Thurgood 2014-10-21 13:02:13 UTC
Windows only ?
Comment 6 Buovjaga 2014-11-15 10:46:51 UTC
Created attachment 109511 [details]
Backtrace of crash when creating labels

I first got a crash when inserting the field and closing the dialog. Then I started WinDbg, but it crashed already with File - New - Labels and New document.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 7 raal 2014-12-29 10:35:48 UTC
Beluga confirmed crash, setting as NEW.
Comment 8 Alex Thurgood 2015-01-03 17:39:05 UTC Comment hidden (no-value)
Comment 9 QA Administrators 2016-02-21 08:36:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21
Comment 10 QA Administrators 2019-05-14 02:59:54 UTC
Dear Chris Barnes,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug